<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Pages;

use DM\WPObjects\Page\AdminPage;
use DM\Manager;

class ChangeDemo extends AdminPage
{
    protected $Demo = null;

    public function __construct()
    {
        $this->perent_menu_id = '';
        $this->menu_name = __( 'Settings', 'dm-admin' );
        $this->title = __( 'Demo manager settings', 'dm-admin' );
        $this->permission = 'manage_options';
        $this->id = 'dm_demo_manager_change_demo';
    }
    
    public function getTemplatePath()
    {
        return WP_DEMO_MANAGER_PATH . 'includes/templates/change-demo.php';
    }
    
    public function enqueues()
    {
        wp_enqueue_style('dm_bootstrap_wrapper', plugins_url() . '/wp_demo_manager/assets/css/bootstrap-wrapper.css', false, false, 'all');
        wp_enqueue_style('dm_admin_default', plugins_url() . '/wp_demo_manager/assets/css/admin-defaults.css', false, false, 'all');
        wp_enqueue_style('dm_fontawesome', plugins_url() . '/wp_demo_manager/assets/css/font-awesome.min.css', false, false, 'all');
        wp_enqueue_style('dm_style', plugins_url() . '/wp_demo_manager/assets/css/style.css', false, false, 'all');
    }
    
    public function POSTAction($data)
    {
        $Demo = $this->getDemo();
        $Demo->exchangeArray($data);
        
        $demo_config = $Demo->toArray();
        $demo_config_json = json_encode($demo_config, JSON_PRETTY_PRINT);
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        $wp_filesystem->put_contents($Demo->getLocalConfigFilePath(), $demo_config_json);
    }
    
    public function getDemoChageUrl($demo_id)
    {
        return esc_url($this->getUrl('&demo_id=' . $demo_id));
    }
    
    /**
     * @global array $_GET
     * @return \DM\Demo
     */
    public function getDemo()
    {
        if (!is_null($this->Demo)) {
            return $this->Demo;
        }
        
        global $_GET;
        $demo_id = $_GET['demo_id'];
        $Demo = Manager::getInstance()->getById($demo_id, 'local');
        $this->Demo = $Demo;
        return $Demo;
    }
}
