<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;
use DM\Service;

class CreateUploadsDump extends Step
{
    /**
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        $this->getLog()->addLog('Creating uploads dump');
        $this->createUploadsDump();
        
        return true;
    }
    
    public function createUploadsDump()
    {
        $upload_dir_information = wp_upload_dir();
        $uploads_path = $upload_dir_information['basedir'];
        //$uploads_dir_min = str_replace('uploads', 'uploads_min', $uploads_dor_path);
        $demo_uploads_dir_path = $this->getDemo()->getUploadsDir();
        
        Service::extractContent($uploads_path, $demo_uploads_dir_path);
    }
    
    protected function abort()
    {
        return true;
    }
}

