<?php
/**
 * Plugin Name: WordPress Demo Content Manager
 * Plugin URI: https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * Description: All in one solution for provide and development multidemos WordPress themes. Create demos, save demos, upload and extract...
 * Author: Vladislav Dolgolenko - Torbara
 * Version: 2.0.5
 * Author URI: https://codecanyon.net/user/torbara/portfolio
 * 
 * @author Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @copyright Copyright (c) torbara studio (http://themeforest.net/user/torbara/?ref=torbara)
 * @license http://codecanyon.net/licenses/standard?ref=torbara
 */

/**
 * For developers and code users
 * @see https://github.com/VladislavDolgolenko/WPObjects
 * @see http://php.net/manual/en/language.namespaces.php
 * @see http://php.net/manual/ru/language.oop5.php
 * @see http://php.net/manual/en/language.oop5.autoload.php
 * @see http://php.net/manual/en/language.exceptions.php
 */

namespace 
{
    if ( !defined('ABSPATH') || !defined('WP_CONTENT_DIR')) {
        throw new \Exception('Wordpress not initialize. Constant ABSPATH or WP_CONTENT_DIR not defined!');
    }

    /**
     * Define system path constants
     */
    if (!defined('WP_DEMO_MANAGER_PATH')) {
        define( 'WP_DEMO_MANAGER_PATH', plugin_dir_path( __FILE__ ) );
    }
    if (!defined('WP_DEMO_MANAGER_LOCAL_PATH')) {
        define( 'WP_DEMO_MANAGER_LOCAL_PATH', WP_CONTENT_DIR . '/wp_demo_manager/' );
    }

    /**
     * Init autoloader
     */
    if (!class_exists('\DM\WPObjects\Loader\NamespaceAutoloader')) {
        include WP_DEMO_MANAGER_PATH . 'includes/vendor/WPObjects/Loader/NamespaceAutoloader.php';
    }
    $Loader = new \DM\WPObjects\Loader\NamespaceAutoloader();
    $Loader->addNamespace('DM', WP_DEMO_MANAGER_PATH . 'includes/DM');
    $Loader->addNamespace('DM\WPObjects', WP_DEMO_MANAGER_PATH . 'includes/vendor/WPObjects');
    $Loader->register();
    
    /**
     *  Wordpress administration pages
     */
    \DM\Pages\DemoManager::getInstance()->attach();
    \DM\Pages\Settings::getInstance()->attach();
    \DM\Pages\ChangeDemo::getInstance()->attach();
    \DM\Pages\Help::getInstance()->attach();
    
    /**
     * Auto demo reinstallation when updating demo version on repository
     */
    $AutoReinstallation = new \DM\AutoReinstallation();
    $AutoReinstallation->attach();

    /**
     *  Wordpress ajax controllers actions
     */
    if (wp_doing_ajax()) {
        $ProcessesController = new \DM\AjaxControllers\Processes();
        $ProcessesController->attach();
        
        $DataController = new DM\AjaxControllers\Data();
        $DataController->attach();
        
        $HelpController = new \DM\AjaxControllers\ProcessingHelp();
        $HelpController->attach();
    } else {
        //$wp_filesystem = \WPObjects\FileSystem\FileSystem::getInstance();
    }
}




